Index: scripts/usr/local/lib/7dtd/commands/instances.sh
===================================================================
--- scripts/usr/local/lib/7dtd/commands/instances.sh	(revision 481)
+++ scripts/usr/local/lib/7dtd/commands/instances.sh	(revision 483)
@@ -18,6 +18,6 @@
 
 sdtdSubcommandInstancesList() {
-	printf "%-*s | %-*s | %-*s | %-*s\n" 20 "Instance name" 8 "Running" 7 "Players" 5 "Port"
-	printf -v line "%*s-+-%*s-+-%*s-+-%*s\n" 20 " " 8 " " 7 " " 5 " "
+	printf "%-*s | %-*s | %-*s | %-*s | %-*s | %-*s\n" 20 "Instance name" 8 "Running" 7 "Players" 9 "Game Port" 11 "Dashb. Port" 6 "Telnet"
+	printf -v line "%*s-+-%*s-+-%*s-+-%*s-+-%*s-+-%*s\n" 20 " " 8 " " 7 " " 9 " " 11 " " 6 " "
 	echo ${line// /-}
 	for I in $(getInstanceList); do
@@ -35,6 +35,11 @@
 		max=$(getConfigValue $I ServerMaxPlayerCount)
 		port=$(getConfigValue $I ServerPort)
-
-		printf "%-*s | %*s |   %2s/%2d | %5d\n" 20 "$I" 8 "$run" $cur $max $port
+		cpState="disabled"
+		if [ "$(getConfigValue $I WebDashboardEnabled)" = "true" ]; then
+			cpState="$(getConfigValue $I WebDashboardPort)"
+		fi
+		telnet=$(getConfigValue $I TelnetPort)
+
+		printf "%-*s | %*s |   %2s/%2d | %9d | %*s | %*s\n" 20 "$I" 8 "$run" $cur $max $port 11 "$cpState" 6 "$telnet"
 	done
 }
@@ -136,5 +141,22 @@
 	local INSTANCE=$1
 	local IPATH=$(getInstancePath "$INSTANCE")
-	cat $IPATH/config.xml
+	xmlstarlet sel -t -m "//property" -v "@name" -o " = " -v "@value" -nl $IPATH/config.xml | sort
+}
+
+sdtdSubcommandInstancesPrintXml() {
+	if [ $(isValidInstance "$1") -eq 0 ]; then
+		echo "No instance given or not a valid instance!"
+		return
+	fi
+		
+	local INSTANCE=$1
+	local IPATH=$(getInstancePath "$INSTANCE")
+	
+	which pygmentize > /dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		cat $IPATH/config.xml | pygmentize -l xml
+	else
+		cat $IPATH/config.xml
+	fi
 }
 
@@ -158,4 +180,7 @@
 			sdtdSubcommandInstancesPrintConfig "$@"
 			;;
+		print_xml)
+			sdtdSubcommandInstancesPrintXml "$@"
+			;;
 		*)
 			sdtdCommandInstancesHelp
@@ -175,4 +200,6 @@
 	line "edit <instance>" "Edit an existing instance"
 	line "delete <instance>" "Delete an existing instance"
+	line "print_config <instance>" "Print the current config of the instance to the console"
+	line "print_xml <instance>" "Print the config XML as is"
 }
 
@@ -184,9 +211,9 @@
 	case $1 in
 		2)
-			echo "list create edit delete print_config"
+			echo "list create edit delete print_config print_xml"
 			;;
 		3)
 			case $2 in
-				edit|delete|print_config)
+				edit|delete|print_config|print_xml)
 					echo "$(getInstanceList)"
 					;;
Index: scripts/usr/local/lib/7dtd/commands/status.sh
===================================================================
--- scripts/usr/local/lib/7dtd/commands/status.sh	(revision 481)
+++ scripts/usr/local/lib/7dtd/commands/status.sh	(revision 483)
@@ -53,8 +53,8 @@
 	line "Port:" "$(getConfigValue $1 ServerPort)"
 	line "Public:" "$(getConfigValue $1 ServerIsPublic)"
-	if [ "$(getConfigValue $1 ControlPanelEnabled)" = "false" ]; then
-		cp="off"
+	if [ "$(getConfigValue $1 WebDashboardEnabled)" = "false" ]; then
+		cp="disabled"
 	else
-		cp="Port $(getConfigValue $1 ControlPanelPort), Pass $(getConfigValue $1 ControlPanelPassword)"
+		cp="$(getConfigValue $1 WebDashboardPort)"
 	fi
 	line "Control Panel:" "$cp"
@@ -62,5 +62,5 @@
 		tn="off"
 	else
-		tn="Port $(getConfigValue $1 TelnetPort), Pass $(getConfigValue $1 TelnetPassword)"
+		tn="Port $(getConfigValue $1 TelnetPort), Pass '$(getConfigValue $1 TelnetPassword)'"
 	fi
 	line "Telnet:" "$tn"
